Draft Wire/jp

From FreeCAD Documentation
Jump to: navigation, search

Draft Wire.svg {{{Name/jp}}}

メニュー位置
Draft -> Wire
ワークベンチ
製図, 建築
デフォルトのショートカット
W I
参照
Draft Line, Draft BSpline


説明

Wireツールは現在の作業平面上にポリライン(複数の線分からなる一連の線)を作成します。作成にはTasksタブに前もって設定されているライン幅と色が使用されます。Wireツールは二点で止まらないことを除けばDraft Lineツールと全く同じように動作します。

Draft Polyline example.jpg

使用方法

  1. Draft Wire.png Draft Wireボタンを押すか、Wキーを押した後でIキーを押します
  2. 3Dビュー上で一つ目の点をクリックしするか、座標を入力します
  3. 3Dビュー上で追加する点をクリックするか、座標を入力します
  4. ワイヤーを終了するにはFキーまたはCキーを押すか、最後の点をダブルクリックするか、一つ目の点をクリックします。ワイヤーが閉曲線である時は表示上はワイヤーフレームで表示されている場合でも面として定義されています。

オプション

  • ワイヤーを開いたまま終了するにはFキーまたはDraft FinishLine.png Finishボタンをを押します。
  • ワイヤー終了時に始点と終点の間に最後の線分を追加して閉曲線にするにはCまたはDraft CloseLine.png Closeボタンを押すか、始点をクリックします。
  • 点を指定した後でXY、またはZを押すと次の点を指定した軸上に拘束できます。
  • 手入力で座標を指定する場合は各X、Y、Z成分を数値で入力してからENTERを押してください。
  • Rを押すか、チェックボックスをクリックしてRelativeボタンのチェック/非チェックを切り替えてください。相対(Relative)モードがオンの場合、二つ目の点の座標は一つ目の点に対する相対値として扱われ、オフの場合は二つとも原点(0,0,0)からの絶対座標として扱われます。
  • Tキーを押すかContinueボタンのチェックボックスをクリックしてチェック/非チェックを切り替えてください。継続モードがオンの場合は the Wire tool will restart after you finish or close it, が再スタートし、再度 Wire button again.
  • 描画中にCTRLキーを押すと距離と無関係に最も近いスナップ位置に操作点をスナップすることができます。
  • 描画中にSHIFTキーを押すと最後に入力した点に対して水平方向、垂直方向に次の点を拘束することができます。
  • 既存の線分を取り除いて終点からワイヤー描画を開始するにはWまたはDraft Wipe.png Wipeボタンを押してください。
  • 最後に入力した点を取り消すにはCTRL+ZまたはDraft UndoLine.png Undoボタンを押してください
  • 描画後にワイヤーを面として表示するにはIまたはFilledを押してください。これはたんにワイヤーのView->Propertyを"Flat lines"または"Wireframe"に設定するだけで後で簡単に変更できます。
  • 現在のWireコマンドを中断するにはESCキーまたはCancelボタンを押してください。

プロパティ

  • DATAClosed: ワイヤーが閉曲線かどうかを指定します
  • DATAFillet Radius: ワイヤーの接点に対して与えられる曲率半径を指定します
  • VIEWEnd Arrow: ワイヤーの終点に矢印を表示します。注釈引き出し線として使う場合に使用します。

スクリプト処理

以下の関数を使うことでマクロとPythonコンソールからWireツールを使用することが可能です。

makeWire (list or Part.Wire, [closed], [placement], [facemode]) : 指定されたベクトルのリストまたは指定されたワイヤーからWireオブジェクトを作成します。
closedがTrueの場合、また始点と終点が一致する場合はワイヤーは閉曲線となります。facemodeがTrueの場合(またワイヤーが閉じている場合)、ワイヤーは面として表示されます。
描画には現在の製図ライン幅と色が使用されます。この関数は新しく作成されたオブジェクトを返します。

例:

import FreeCAD,Draft
p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(1,1,0)
p3 = FreeCAD.Vector(2,0,0)
Draft.makeWire([p1,p2,p3],closed=True)


ご利用可能な言語: Flag-en.jpg Flag-es.jpg Flag-fr.jpg Flag-it.jpg